%define upstream_name    HTML-Escape
%define upstream_version 1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extremely fast HTML escape
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.200.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::Pluggable::PPPort) >= 0.40.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
This module escapes HTML's special chars. It's same as PHP's
htmlspecialchars.

This module uses XS for better performance. And also provides pure perl
version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/


%changelog
* Mon Jan 20 2025 wally <wally> 1.110.0-6.mga10
+ Revision: 2140109
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Fri Aug 23 2024 tv <tv> 1.110.0-5.mga10
+ Revision: 2089631
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.110.0-4.mga10
+ Revision: 2012334
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 1.110.0-3.mga9
+ Revision: 1874856
- Rebuild b/c of "lib/HTML/Escape.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 1.110.0-2.mga9
+ Revision: 1796632
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 tv <tv> 1.110.0-1.mga9
+ Revision: 1749255
- update to 1.11

* Sat Jul 18 2020 tv <tv> 1.100.0-9.mga8
+ Revision: 1606979
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 19 2020 umeabot <umeabot> 1.100.0-8.mga8
+ Revision: 1544382
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 shlomif <shlomif> 1.100.0-7.mga8
+ Revision: 1482949
- rebuild for new perl

* Fri Sep 21 2018 umeabot <umeabot> 1.100.0-6.mga7
+ Revision: 1293150
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.100.0-5.mga7
+ Revision: 1249446
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.100.0-4.mga7
+ Revision: 1164780
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.100.0-3.mga7
+ Revision: 1159094
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-2.mga6
+ Revision: 1028216
- Rebuild for perl 5.22.2

* Tue Mar 22 2016 shlomif <shlomif> 1.100.0-1.mga6
+ Revision: 994175
- update to 1.10

* Fri Feb 12 2016 umeabot <umeabot> 1.90.0-3.mga6
+ Revision: 957461
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.90.0-2.mga6
+ Revision: 843207
- Rebuild for perl 5.22

* Thu Oct 23 2014 shlomif <shlomif> 1.90.0-1.mga5
+ Revision: 792617
- imported package perl-HTML-Escape


* Thu Oct 23 2014 cpan2dist 1.09-1mga
- initial mageia release, generated with cpan2dist
